/*
 *  Folder manager definitions
 *	issued: 2000/4/3
 *	author: c.mos@zob.ne.jp
 */

#ifndef _FOLDER_H_
#define _FOLDER_H_

#include "gui.h"
#include "ilib.h"

#define FOLDER_LIST 1
#define FOLDER_SYS 2

#define SELECT_NAME 2
#define SELECT_CUR -1

typedef struct {
	FSID fsid;
	WORD flags;
	int files;
	int home;
	int select;
	char fname[MAXFNAME+1];
} Folder;

typedef struct {
	int	 icon;
	char name[MAXFNAME+1];
} IconRef;

extern IconRef icon_ref[];
extern int icon_ref_count;

void init_folder(Folder* folder, int redraw);
void draw_folder(Folder* folder, Rect* r_clip);
void draw_status(Folder* folder);
WORD do_folder(Folder* folder);
int find_filetype(FSID fsid, FS fs, char *arr_name, size_t arraysize, int count);
void draw_icon(int x, int y, int index);

#endif _FOLDER_H_
