/*
 *	profile manager definitions
 *	issued: 2000/4/11
 *	author: c.mos@zob.ne.jp
 */

#ifndef _PROF_H_
#define _PROF_H_

typedef enum { PROF_EOF, PROF_KEY, PROF_SECTION } ProfType;

BOOL open_profile(BOOL read, char* fname, int size);
BOOL close_profile(void);

BOOL read_profile_section(char *sectp);
BOOL read_profile_next_key(char *keybuff);
void read_profile_string(char *key, char *s_default, char *sbuff);
int	 read_profile_int(char *key, int n_default);
int	 read_profile_intarray(char *key, int* arr, int count);

void write_profile_section(char *s);
void write_profile_string(char *key, char *s);
void write_profile_int(char *key, int n);
void write_profile_intarray(char *key, int* arr, int count);

#endif _PROF_H_
